﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Managing Tasks</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Tasks</h1>
        <p>If a user or admin user creates a request and it is successfully approved through the&#160;<strong>Request Approval</strong>&#160;process in Saviynt Identity Governance and Administration (IGA) application, it means that the request is approved for provisioning within the application.&#160;IGA creates tasks for requests related to&#160;accessing/removing entitlementsor&#160;creating/deleting accounts. IGA tracks these tasks to check whether their respective provisioning tasks are complete in the application database.&#160;</p>
        <p class="auto-cursor-target">The tasks can be generated in any of the following ways:</p>
        <ul>
            <li class="auto-cursor-target">Submitted and approved requests</li>
            <li>Requests submitted through APIs</li>
            <li>Attestations</li>
            <li>Analytics</li>
            <li>SoD Violations</li>
        </ul>
        <p class="auto-cursor-target">You can complete the pending tasks by<span style="color: rgb(51,51,51);">&#160;manually provisioning the tasks from <strong>Pending Tasks</strong> submenu in IGA.&#160;For more information about accessing the pending tasks menu options, see&#160;<MadCap:xref href="Accessing-Pending-Tasks.htm">Accessing Pending Tasks</MadCap:xref></span>.</p>
        <p class="auto-cursor-target">After either successfully provisioning these tasks on target systems or marking these tasks as completed without provisioning, these pending tasks get listed under <MadCap:xref href="Completed-Tasks.htm">Completed Tasks</MadCap:xref> section.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">Once a task is completed, IGA sends notifications to the user based on the task email template field configurations. For more information, see <MadCap:xref href="Notifications-about-Tasks.htm">Notifications about Tasks.</MadCap:xref></p>
                </li>
                <li>
                    <p class="note">When an action is performed on a task from <strong>Pending Tasks</strong> or <strong>Completed Tasks</strong>, IGA provides you the details of the user who has taken&#160;the action and the date and time of action. The actions include claim, unclaim, discontinue, complete, or reopen.<br />For example, when a task is discontinued from&#160;<strong>Pending Tasks</strong>, the system records the username of the user who performed the action as well as the date and time of the action in the task comments. You can view the details of all task actions from the <strong>Existing Comments</strong> field in the <strong>Task Details</strong> tab. For more information about <strong>Task Details</strong> tab,&#160;<MadCap:xref href="Viewing-Tasks-Details.htm">Viewing Tasks Details</MadCap:xref>.</p>
                </li>
            </ul>
        </div>
        <p class="auto-cursor-target">Duplicate tasks are not created if an existing task is in the <strong>Pending Provisioning</strong> status for <strong>Add Access</strong>&#160;requests. IGA validates and closes the duplicate tasks created with <strong>NEW</strong> or <strong>PENDING PROVISION</strong> status, for user access assigned through roles and birthright provisioning.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Additionally, you&#160;can also automatically provision the pending tasks using the WSRETRY Job. Running the WSRETRY job not only completes the task, but also performs the provisioning or de-provisioning of identity object on the third-party target application.&#160;These tasks can be scheduled for automatic periodic execution and successfully executed as individual jobs from the Job Control Panel. For more information about WSRETRY job, see&#160;<em>Utility Jobs</em> section in <MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm">Job Categories for Flat Job Control Panel</MadCap:xref>.</p>
        </div>
        <h2 id="Tasks-PermissionsRequiredtoViewTasks">Permissions Required to View Tasks</h2>
        <p>Users with ROLE_TASKADMIN and ROLE_ADMIN SAV roles and their delegates can see their tasks inPendingTasksor&#160;Completed Tasks&#160;from <strong>ARS &gt;TASKS</strong>. If the logged-in user is the owner of a task, the user can view corresponding tasks in PendingTasks or Completed Tasks.</p>
        <h2 id="Tasks-PermissionsRequiredtoClaimTasks"><a name="Permissi"></a>Permissions Required to Claim Tasks</h2>
        <p>Users with ROLE_TASKADMIN and ROLE_ADMIN SAV roles can claim pending tasks.</p>
        <div class="panel conf-macro output-block" style="border-width: 1px;">
            <div class="panelContent">
                <p>This section consists of the following:</p>
                <ul>
                    <li>
                        <p>
                            <MadCap:xref href="Pending-Tasks.htm">Pending Tasks</MadCap:xref>
                        </p>
                        <ul>
                            <li>
                                <p>
                                    <MadCap:xref href="Accessing-Pending-Tasks.htm">Accessing Pending Tasks</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Managing-Pending-Tasks.htm">Managing Pending Tasks</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Searching-for-Pending-Tasks.htm">Searching for Pending Tasks</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Viewing-Tasks-Details.htm">Viewing Tasks Details</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Changing-Owner-of-All-Pending-Tasks.htm">Changing Owner of All Pending Tasks</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Discontinuing-Pending-Tasks.htm">Discontinuing Pending Tasks</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Completing-Pending-Tasks.htm">Completing Pending Tasks</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Exporting-Pending-Tasks.htm">Exporting Pending Tasks</MadCap:xref>
                                </p>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p>
                            <MadCap:xref href="Completed-Tasks.htm">Completed Tasks</MadCap:xref>
                        </p>
                        <ul>
                            <li>
                                <p>
                                    <MadCap:xref href="Managing-Completed-Tasks.htm">Managing Completed Tasks</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Searching-for-Completed-Tasks.htm">Searching for Completed Tasks</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="Exporting-Completed-Tasks.htm">Exporting Completed Tasks</MadCap:xref>
                                </p>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p>
                            <MadCap:xref href="Notifications-about-Tasks.htm">Notifications about Tasks</MadCap:xref>
                        </p>
                    </li>
                </ul>
            </div>
        </div>
    </body>
</html>